console.log('Hello from service worker');

importScripts('https://www.gstatic.com/firebasejs/10.0.0/firebase-app-compat.js');
importScripts('https://www.gstatic.com/firebasejs/10.0.0/firebase-messaging-compat.js');

firebase.initializeApp({

	apiKey: "AIzaSyDXD3d5st12h7S5uh0FWJarH9gGBJKxsqA",

	authDomain: "spellstrife.firebaseapp.com",

	projectId: "spellstrife",

	storageBucket: "spellstrife.appspot.com",

	messagingSenderId: "964021280248",

	appId: "1:964021280248:web:76320fe0826be667010a0d"

});

const messaging = firebase.messaging();

//console.log('service worker syas hello');

messaging.onBackgroundMessage(function(payload) {
  console.log('[firebase-messaging-sw.js] Received background message ', payload);
  // Customize notification here
  const notificationTitle = payload.data.title;
  const notificationOptions = {
    body: payload.data.body,
    icon: 'https://spellstrife.com/icon.png',
    badge:'https://spellstrife.com/icon.png',
  };

  self.registration.showNotification(notificationTitle,
    notificationOptions);
});


////Code for adding event on click of notification
self.addEventListener('notificationclick', function (event) {
    //console.log("notificationclick", event)
    var urlToRedirect = 'https://spellstrife.com';
    
    //event.waitUntil(self.clients.openWindow(urlToRedirect));

    event.waitUntil(
        clients.matchAll({includeUncontrolled:true, type: 'window'}).then( windowClients => {
            // Check if there is already a window/tab open with the target URL
            for (var i = 0; i < windowClients.length; i++) {
                var client = windowClients[i];
                // If so, just focus it.
                if (client.url.includes('spellstrife') && 'focus' in client) {
                    return client.focus();
                }
            }
            // If not, then open the target URL in a new window/tab.
            if (clients.openWindow) {
                return clients.openWindow(url);
            }
        })
    );

    event.notification.close();
});